/*
 SYSTEM.H
*/

#ifndef SYSTEM_H
#define SYSTEM_H

//Keypad
#define REG_KEY                  (*(vu16*)0x4000130)
#define REG_P1CNT				 (*(vu16*)0x4000132)

#define KEY_A                   (1<<0)
#define KEY_B                   (1<<1)
#define KEY_SELECT              (1<<2)
#define KEY_START               (1<<3)
#define KEY_RIGHT               (1<<4)
#define KEY_LEFT                (1<<5)
#define KEY_UP                  (1<<6)
#define KEY_DOWN                (1<<7)
#define KEY_R                   (1<<8)
#define KEY_L                   (1<<9)

#define KEY_A_PRESSED            (!((REG_KEY) & (1<<0)))
#define KEY_B_PRESSED            (!((REG_KEY) & (1<<1)))
#define KEY_SELECT_PRESSED       (!((REG_KEY) & (1<<2)))
#define KEY_START_PRESSED        (!((REG_KEY) & (1<<3)))
#define KEY_RIGHT_PRESSED        (!((REG_KEY) & (1<<4)))
#define KEY_LEFT_PRESSED         (!((REG_KEY) & (1<<5)))
#define KEY_UP_PRESSED           (!((REG_KEY) & (1<<6)))
#define KEY_DOWN_PRESSED         (!((REG_KEY) & (1<<7)))
#define KEY_R_PRESSED            (!((REG_KEY) & (1<<8)))
#define KEY_L_PRESSED            (!((REG_KEY) & (1<<9)))

#endif
//EOF
